%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/pkg/profile
Version:                1.6.0

%gometa

%global common_description %{expand:
Simple profiling support package for Go}

%global golicenses      LICENSE
%global godocs          AUTHORS README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Simple profiling for Go

License:        BSD-2-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
